Subject: Re: AGAINST PSYC DRUGS

From: [email-masked] (Denise0000)
Date: 24 Dec 1994 23:55:10 -0500

Klemens wrote:
<<<Hi Alan,
you think ECT is barbaric. could you tell me why? actually it helps quite
a 
lot of people who don't respond to other kinds of therapy. and I cannot 
think of any serious side effects (ok, I wouldn't recommend it for someone

with cardial rythmical problems). 
do you know how ECT works today? with short narcosis plus muscle relaxans 
patients don't bite their tongues or jump around like in some films(I 
remember that one with Jack Nicholson, but don't know the english title).
regards, klemens>>>

I don't know the scientifics of ECT, but I had 12 treatments, and they
didn't work. Gave me lots of headaches, though, and wiped out about 6
months of my memory. Those months never returned. In my case, it was a
huge waste of time and money, all for nothing. And I'm still fucking
depressed as hell, or manic. Always going up and down. Meds aren't working
either. It sucks.